"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Helpers = (function () {
    function Helpers() {
    }
    Helpers.GetTypes = function (name) {
        var types = [
            "I" + name + "Model",
            "I" + name + "ModelProperties",
            "I" + name + "ModelNavigationProperties",
            "I" + name + "ModelOdataNavigationProperties",
            "I" + name + "ModelExpandables",
            "I" + name + "ModelSelectables",
            "I" + name + "ModelFilterables",
            "I" + name + "ModelOrderBy",
            "I" + name + "ModelKeys",
            "I" + name + "ModelActions"
        ];
        return types;
    };
    Helpers.GetType = function (type, collection) {
        var res = 'any';
        switch (type) {
            case 'Guid':
                res = 'string';
                break;
            case 'Boolean':
                res = 'boolean';
                break;
            case 'String':
                res = 'string';
                break;
            case 'DateTimeOffset':
                res = 'string';
                break;
            case 'Int32':
                res = 'number';
                break;
            case 'Double':
                res = 'number';
                break;
            default: res = 'any';
        }
        return "" + res + (collection ? '[]' : '');
    };
    return Helpers;
}());
exports.Helpers = Helpers;
//# sourceMappingURL=D:/work/odata-context-cli/src/templates/Helpers.js.map