"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StaticClasses = (function () {
    function StaticClasses(_import) {
        this._import = _import;
    }
    StaticClasses.prototype.IFilterable = function () {
        var content = "import { OdataFilterOperation } from '" + this._import + "';\n\nexport interface IFilterable<T, TONP, TReturn> {\n    BeginQuery(predicate: (filterQuery: OdataFilterOperation<T, TONP, TReturn>) => any): any;\n}\n";
        return content;
    };
    StaticClasses.prototype.IExpandable = function () {
        var content = "export interface IExpandable {\n    ALL_NAV_PROP?: any;\n}\n";
        return content;
    };
    StaticClasses.prototype.ISelectable = function () {
        var content = "export interface ISelectable {\n    ALL?: any;\n    ALL_PROP?: any;\n    ALL_NAV_PROP?: any;\n}\n";
        return content;
    };
    return StaticClasses;
}());
exports.StaticClasses = StaticClasses;
//# sourceMappingURL=D:/work/odata-context-cli/src/templates/static-classes.js.map