export class StaticClasses {
    constructor(private _import: string) {}
    
    public IFilterable() {
        const content = 
`import { OdataFilterOperation } from '${this._import}';

export interface IFilterable<T, TONP, TReturn> {
    BeginQuery(predicate: (filterQuery: OdataFilterOperation<T, TONP, TReturn>) => any): any;
}
`;
return content;
    }

    public IExpandable() {
        const content = 
`export interface IExpandable {
    ALL_NAV_PROP?: any;
}
`;
        return content;
    }

    public ISelectable() {
        const content = 
`export interface ISelectable {
    ALL?: any;
    ALL_PROP?: any;
    ALL_NAV_PROP?: any;
}
`;
        return content;
    }

}